﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;
using System.IO;

namespace WordCounter
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void buttonAnalyze_Click(object sender, RoutedEventArgs e)
        {
            OpenFileDialog dialog = new OpenFileDialog();
            bool? result = dialog.ShowDialog();

            if (result == true)
            {
                string text = File.ReadAllText(dialog.FileName);

                string[] parts = text.Split(new char[]{' ', '.', ',', '\n', '\r', ':', '!', '"', ';', '?'});

                List<Word> words = new List<Word>();

                for (int i = 0; i < parts.Length; i++)
			    {
			        if(parts[i] != "")
                    {
                        bool exists = false;
                        for (int j = 0; j < words.Count; j++)
                        {
                            if (words[j].Text == parts[i])
                            {
                                words[j].PlusOne();
                                exists = true;
                                break;
                            }
                        }
                        if (!exists)
                        {
                            words.Add(new Word(parts[i]));
                        }
                    }
			    }

                var r = words.OrderBy(x => -x.Count).ToList();
            }
        }
    }
}
